{
===============================================================================
  Copyright (©) 2001. Rodax Software.
===============================================================================
  Los contenidos de este fichero son propiedad de Rodax Software titular del
  copyright. Este fichero sólo podrá ser copiado, distribuido y utilizado,
  en su totalidad o en parte, con el permiso escrito de Rodax Software, o de
  acuerdo con los términos y condiciones establecidas en el acuerdo/contrato
  bajo el que se suministra.
  -----------------------------------------------------------------------------
  Web:  www.rodax-software.com
===============================================================================
  Fecha primera versión: 01-10-2001
  Versión actual: 1.0.2
  Fecha versión actual: 22-03-2003
===============================================================================
  Modificaciones:

    Fecha         Comentarios
    ---------------------------------------------------------------------------
    01-06-2002    No se guardaban los cambios cuando se aceptaba la situación.

    22-03-2003    Se han puesto componentes con calendario.
===============================================================================
}

unit EmitirPedidoProveedor;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  RdxFrame, RdxBotones, ExtCtrls, RdxPaneles, RdxBarras, RdxCheckBox,
  StdCtrls, RdxCampos, RdxTitulos, Configuracion,
  cxControls, cxContainer, cxEdit, cxTextEdit,
  cxMaskEdit, cxDropDownEdit, cxCalendar;

type
  TfrEmitirPedidoProveedor = class(TRdxFrame)
    brOperacion: TRdxBarraInferior;
    bGuardar: TRdxBoton;
    bCancelar: TRdxBoton;
    Panel: TRdxPanel;
    eInformacion: TLabel;
    eFechaEmision: TLabel;
    FechaEmision: TcxDateEdit;
    procedure bGuardarClick(Sender: TObject);
    procedure bCancelarClick(Sender: TObject);
  public
    CodigoPedido : String;
    constructor Create (AOwner : TComponent); override;
  end;

var
  frEmitirPedidoProveedor: TfrEmitirPedidoProveedor;

implementation

{$R *.DFM}

uses
  TablaPedidosProveedor, Tipos, BaseDatos, RdxEmpresaActiva;

{ TfrEmitirPedidoProveedor }

procedure TfrEmitirPedidoProveedor.bGuardarClick(Sender: TObject);
begin
  if not dmTablaPedidosProveedor.EmitirPedido(EmpresaActiva.Codigo, CodigoPedido, StrToDate(FechaEmision.Text)) then
  begin
    dmBaseDatos.Rollback;
    Exit;
  end;
  dmBaseDatos.Commit;    
  CloseFrame;
end;

procedure TfrEmitirPedidoProveedor.bCancelarClick(Sender: TObject);
begin
  CloseFrame;
end;

constructor TfrEmitirPedidoProveedor.Create(AOwner: TComponent);
begin
  inherited;
  FechaEmision.Date := Date; 
end;

end.
